# php 开发

基于 docker，快速切换 php 版本开发环境，如，项目需要在 php7.4 环境下开发，可以使用以下方式：

```bash
docker run --rm -it -v /workspace:/app php:7.4 /bin/bash

thinkphp new demo
thinkphp serve
```

- -v /workspace:/app 挂载本地目录到容器内，/workspace 为本地目录，/app 为容器内目录

### 额外配置

- 安装 composer

```bash
docker run --rm -it -v /workspace:/app composer:latest /bin/bash
```

### 数据库

基于 docker-compose，启动 mysql, adminer, redis等等

```bash
docker-compose up -d
```

参考 template 代码即可

### 基于 swoole

```bash
docker run --rm -it -v /workspace:/app swoole:latest /bin/bash
```

### 基于 laravel

```bash
docker run --rm -it -v /workspace:/app composer:latest /bin/bash

composer create-project --prefer-dist laravel/laravel blog
```

### 基于 thinkphp

```bash

docker run --rm -it -v /workspace:/app composer:latest /bin/bash

composer create-project topthink/think demo
```

### 基于 yii

```bash

docker run --rm -it -v /workspace:/app composer:latest /bin/bash

composer create-project --prefer-dist yiisoft/yii2-app-basic demo
```

## 数据库

通过docker快速启动一个测试数据库：

```

```